Bug 1831008 - Manual procedure "Recovering from expired control plane certificates" results in "Unable to connect to the server: x509: certificate signed by unknown authority"
Summary: Manual procedure "Recovering from expired control plane certificates" results...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.4.z
Assignee: Martin André
QA Contact: David Sanz
URL:
Whiteboard:
Depends On: 1821720
Blocks: 1843488
TreeView+ depends on / blocked
 
Reported: 2020-05-04 13:39 UTC by Martin André
Modified: 2020-06-17 22:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The "Recovering from expired control plane certificates" procedure stands up a recovery API server on port 7443, conflicting with the port the haproxy process is listening on, on BM, OpenStack, oVirt and vSphere platforms. Consequence: The procedure results in "Unable to connect to the server: x509: certificate signed by unknown authority" Fix: Move the haproxy port to 9443 instead. Result: The recovery API server is able to bind port 7443 allowing to proceed with the "Recovering from expired control plane certificates" procedure.
Clone Of: 1821720
Environment:
Last Closed: 2020-06-17 22:26:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift baremetal-runtimecfg pull 61 None closed Bug 1831008: Move haproxy listening port due to conflict 2020-10-13 06:21:51 UTC
Red Hat Product Errata RHBA-2020:2445 None None None 2020-06-17 22:26:25 UTC

Comment 5 David Sanz 2020-06-08 10:21:38 UTC
Verified on 4.4.0-0.nightly-2020-06-08-032819

Comment 7 errata-xmlrpc 2020-06-17 22:26:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2445


Note You need to log in before you can comment on or make changes to this bug.